Scheduled Maintenance: We are aware of an issue with Google, AOL, and Yahoo services as email providers which are blocking new registrations. We are trying to fix the issue and we have several internal and external support tickets in process to resolve the issue. Please see: viewtopic.php?t=158230

 

 

 

[Solved] Debian 12.4 | Can't update due to kernel problem

Linux Kernel, Network, and Services configuration.
Post Reply
Message
Author
Darko Dark Shadow
Posts: 10
Joined: 2023-12-23 05:39
Has thanked: 2 times

[Solved] Debian 12.4 | Can't update due to kernel problem

#1 Post by Darko Dark Shadow »

Hello, since 3 days ago I can't update my laptop because I get errors while configuring the package linux-image-6.0.1-18-amd64, here's what I get when I try to update my system:

Code: Select all

Configurando linux-image-6.1.0-18-amd64 (6.1.76-1) ...
/etc/kernel/postinst.d/dkms:
dkms: running auto installation service for kernel 6.1.0-18-amd64.
Sign command: /usr/lib/linux-kbuild-6.1/scripts/sign-file
Signing key: /var/lib/dkms/mok.key
Public certificate (MOK): /var/lib/dkms/mok.pub

Building module:
Cleaning build area...
env NV_VERBOSE=1 make -j12 modules KERNEL_UNAME=6.1.0-18-amd64....................(bad exit status: 2)
Error! Bad return status for module build on kernel: 6.1.0-18-amd64 (x86_64)
Consult /var/lib/dkms/nvidia-current/525.147.05/build/make.log for more information.
Error! One or more modules failed to install during autoinstall.
Refer to previous errors for more information.
dkms: autoinstall for kernel: 6.1.0-18-amd64 failed!
run-parts: /etc/kernel/postinst.d/dkms exited with return code 11
dpkg: error al procesar el paquete linux-image-6.1.0-18-amd64 (--configure):
 el subproceso instalado paquete linux-image-6.1.0-18-amd64 script post-installation devolvió el código de salida de error 1
Configurando linux-headers-6.1.0-18-amd64 (6.1.76-1) ...
/etc/kernel/header_postinst.d/dkms:
dkms: running auto installation service for kernel 6.1.0-18-amd64.
Sign command: /usr/lib/linux-kbuild-6.1/scripts/sign-file
Signing key: /var/lib/dkms/mok.key
Public certificate (MOK): /var/lib/dkms/mok.pub

Building module:
Cleaning build area...
env NV_VERBOSE=1 make -j12 modules KERNEL_UNAME=6.1.0-18-amd64....................(bad exit status: 2)
Error! Bad return status for module build on kernel: 6.1.0-18-amd64 (x86_64)
Consult /var/lib/dkms/nvidia-current/525.147.05/build/make.log for more information.
Error! One or more modules failed to install during autoinstall.
Refer to previous errors for more information.
dkms: autoinstall for kernel: 6.1.0-18-amd64 failed!
run-parts: /etc/kernel/header_postinst.d/dkms exited with return code 11
Failed to process /etc/kernel/header_postinst.d at /var/lib/dpkg/info/linux-headers-6.1.0-18-amd64.postinst line 11.
dpkg: error al procesar el paquete linux-headers-6.1.0-18-amd64 (--configure):
 el subproceso instalado paquete linux-headers-6.1.0-18-amd64 script post-installation devolvió el código de salida de error 1
dpkg: problemas de dependencias impiden la configuración de linux-image-amd64:
 linux-image-amd64 depende de linux-image-6.1.0-18-amd64 (= 6.1.76-1); sin embargo:
 El paquete `linux-image-6.1.0-18-amd64' no está configurado todavía.

dpkg: error al procesar el paquete linux-image-amd64 (--configure):
 problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de linux-headers-amd64:
 linux-headers-amd64 depende de linux-headers-6.1.0-18-amd64 (= 6.1.76-1); sin embargo:
 El paquete `linux-headers-6.1.0-18-amd64' no está configurado todavía.

dpkg: error al procesar el paquete linux-headers-amd64 (--configure):
 problemas de dependencias - se deja sin configurar
Se encontraron errores al procesar:
 linux-image-6.1.0-18-amd64
 linux-headers-6.1.0-18-amd64
 linux-image-amd64
 linux-headers-amd64
E: Sub-process /usr/bin/dpkg returned an error code (1)
I have searched this issue and I found some posts with a similar problem, but the solutions didn't work for me, I have removed the raspi-firmware like some posts suggests but it didn't solve my problem, another suggestion is that I will must wait for a update for the nvidia-driver package. Here's the posts:

viewtopic.php?t=156305

viewtopic.php?t=155208

viewtopic.php?t=155192

viewtopic.php?t=154857

To add more information, here's the output for the command dkms status:

Code: Select all

nvidia-current/525.147.05, 6.1.0-17-amd64, x86_64: installed
r8168/8.051.02, 6.1.0-17-amd64, x86_64: installed
r8168/8.051.02, 6.1.0-18-amd64, x86_64: installed
Last edited by Darko Dark Shadow on 2024-02-17 21:25, edited 1 time in total.

Aki
Global Moderator
Global Moderator
Posts: 2752
Joined: 2014-07-20 18:12
Location: Europe
Has thanked: 67 times
Been thanked: 374 times

Re: Debian 12.4 | Can't update due to kernel problem

#2 Post by Aki »

Hello,

This is caused by a issue in the nvidia proprietary kernel module showed up with latest Debian 6.1.0-18 kernel upgrade:
⢀⣴⠾⠻⢶⣦⠀
⣾⠁⢠⠒⠀⣿⡁ Debian - The universal operating system
⢿⡄⠘⠷⠚⠋⠀ https://www.debian.org
⠈⠳⣄⠀

Darko Dark Shadow
Posts: 10
Joined: 2023-12-23 05:39
Has thanked: 2 times

Re: Debian 12.4 | Can't update due to kernel problem

#3 Post by Darko Dark Shadow »

Aki wrote: 2024-02-11 16:30 Hello,

This is caused by a issue in the nvidia proprietary kernel module showed up with latest Debian 6.1.0-18 kernel upgrade:
Thank you for the information :). So I must wait for an update that solves the bug?

Aki
Global Moderator
Global Moderator
Posts: 2752
Joined: 2014-07-20 18:12
Location: Europe
Has thanked: 67 times
Been thanked: 374 times

Re: Debian 12.4 | Can't update due to kernel problem

#4 Post by Aki »

Hello @Darko Dark Shadow ,

If it can be useful, an updated of the nvidia-graphics-drivers (kernel module) is avalable in the bookworm-proposed-update repository:

Code: Select all

$ rmadison nvidia-graphics-drivers
nvidia-graphics-drivers | 418.226.00-3                 | oldoldstable/non-free              | source
nvidia-graphics-drivers | 470.103.01-1~bpo11+1         | bullseye-backports/non-free        | source
nvidia-graphics-drivers | 470.141.03-1~deb11u1~bpo10+1 | buster-backports/non-free          | source
nvidia-graphics-drivers | 470.223.02-1                 | oldstable/non-free                 | source
nvidia-graphics-drivers | 525.147.05-4~deb12u1         | stable/non-free-firmware           | source
nvidia-graphics-drivers | 525.147.05-5                 | testing/non-free-firmware          | source
>> nvidia-graphics-drivers | 525.147.05-6~deb12u1         | proposed-updates/non-free-firmware | source <<
nvidia-graphics-drivers | 525.147.05-6                 | unstable/non-free-firmware         | source
nvidia-graphics-drivers | 535.54.03-1                  | experimental/non-free-firmware     | source
It should fix the issue. See [1] for details.

Hope this helps. Please let me know.

--
[1] Debian Wiki - The "proposed-updates" mechanism
⢀⣴⠾⠻⢶⣦⠀
⣾⠁⢠⠒⠀⣿⡁ Debian - The universal operating system
⢿⡄⠘⠷⠚⠋⠀ https://www.debian.org
⠈⠳⣄⠀

Darko Dark Shadow
Posts: 10
Joined: 2023-12-23 05:39
Has thanked: 2 times

Re: Debian 12.4 | Can't update due to kernel problem

#5 Post by Darko Dark Shadow »

Aki wrote: 2024-02-14 18:27 Hello @Darko Dark Shadow ,

If it can be useful, an updated of the nvidia-graphics-drivers (kernel module) is avalable in the bookworm-proposed-update repository:

Code: Select all

rmadison nvidia-graphics-drivers
nvidia-graphics-drivers | 418.226.00-3                 | oldoldstable/non-free              | source
nvidia-graphics-drivers | 470.103.01-1~bpo11+1         | bullseye-backports/non-free        | source
nvidia-graphics-drivers | 470.141.03-1~deb11u1~bpo10+1 | buster-backports/non-free          | source
nvidia-graphics-drivers | 470.223.02-1                 | oldstable/non-free                 | source
nvidia-graphics-drivers | 525.147.05-4~deb12u1         | stable/non-free-firmware           | source
nvidia-graphics-drivers | 525.147.05-5                 | testing/non-free-firmware          | source
>> nvidia-graphics-drivers | 525.147.05-6~deb12u1         | proposed-updates/non-free-firmware | source <<
nvidia-graphics-drivers | 525.147.05-6                 | unstable/non-free-firmware         | source
nvidia-graphics-drivers | 535.54.03-1                  | experimental/non-free-firmware     | source
It should fix the issue. See [1] for details.

Hope this helps. Please let me know.

--
[1] Debian Wiki - The "proposed-updates" mechanism
Thank you for the solution, today I was going to do it but when I checked for updates, a new version of nvidia-graphics-driver was available, so I updated it and now everything works fine again so it's solved. Even so, thank you very much for your fix :D

Aki
Global Moderator
Global Moderator
Posts: 2752
Joined: 2014-07-20 18:12
Location: Europe
Has thanked: 67 times
Been thanked: 374 times

Re: [Solved] Debian 12.4 | Can't update due to kernel problem

#6 Post by Aki »

Hello,

Just for the record, the nvidia kernel module update has landed in backports-new, proposed-updates and stable-updates:

Code: Select all

$ rmadison nvidia-graphics-drivers
nvidia-graphics-drivers | 418.226.00-3                 | oldoldstable/non-free                 | source
nvidia-graphics-drivers | 470.103.01-1~bpo11+1         | bullseye-backports/non-free           | source
nvidia-graphics-drivers | 470.141.03-1~deb11u1~bpo10+1 | buster-backports/non-free             | source
nvidia-graphics-drivers | 470.223.02-1                 | oldstable/non-free                    | source
nvidia-graphics-drivers | 525.147.05-4~deb12u1         | stable/non-free-firmware              | source
nvidia-graphics-drivers | 525.147.05-6                 | testing/non-free-firmware             | source
nvidia-graphics-drivers | 525.147.05-7~deb12u1~bpo11+1 | backports-new/non-free                | source
nvidia-graphics-drivers | 525.147.05-7~deb12u1         | proposed-updates/non-free-firmware    | source
nvidia-graphics-drivers | 525.147.05-7~deb12u1         | stable-updates/non-free-firmware      | source
nvidia-graphics-drivers | 525.147.05-7                 | unstable/non-free-firmware            | source
nvidia-graphics-drivers | 535.54.03-1                  | experimental/non-free-firmware        | source
nvidia-graphics-drivers | 535.86.05-1                  | buildd-experimental/non-free-firmware | source
nvidia-graphics-drivers | 535.86.05-1                  | experimental/non-free-firmware        | source
⢀⣴⠾⠻⢶⣦⠀
⣾⠁⢠⠒⠀⣿⡁ Debian - The universal operating system
⢿⡄⠘⠷⠚⠋⠀ https://www.debian.org
⠈⠳⣄⠀

Post Reply